Skip to content
This repository

TravisCI: install postgis from PPA #43

Merged
merged 1 commit into from about 1 year ago

3 participants

Tobias Bieniek Éric Lemoine Frédéric Junod
Tobias Bieniek
Owner

No description provided.

Tobias Bieniek
Owner

seems to work well :+1:

Éric Lemoine
Owner

Thanks guys!

Éric Lemoine elemoine merged commit ed82790 into from April 03, 2013
Éric Lemoine elemoine closed this April 03, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Showing 1 unique commit by 1 author.

Apr 02, 2013
Frédéric Junod travis: install postgis from PPA 5c9035d
This page is out of date. Refresh to see the latest.

Showing 1 changed file with 10 additions and 15 deletions. Show diff stats Hide diff stats

  1. 25  .travis.yml
25  .travis.yml
@@ -14,23 +14,18 @@ services:
14 14
 
15 15
 env:
16 16
   - POSTGIS_VERSION=1.5
17  
-  - POSTGIS_VERSION=2.0.3
  17
+  - POSTGIS_VERSION=2
18 18
 
19 19
 install:
20  
-  # Install PostGIS 1.5
21  
-  - if [[ "$POSTGIS_VERSION" == "1.5" ]]; then sudo apt-get install postgresql-9.1-postgis -q; fi
22  
-
23  
-  # Install Prerequisites for building GEOS and PostGIS
24  
-  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then sudo apt-get install build-essential postgresql-9.1 postgresql-server-dev-9.1 libxml2-dev libproj-dev libjson0-dev libgeos-dev xsltproc docbook-xsl docbook-mathml libgdal1-dev; fi
25  
-
26  
-  # Build and install PostGIS 2.x
27  
-  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then wget http://download.osgeo.org/postgis/source/postgis-$POSTGIS_VERSION.tar.gz; fi
28  
-  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then tar xfvz postgis-$POSTGIS_VERSION.tar.gz; fi
29  
-  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then cd postgis-$POSTGIS_VERSION; fi
30  
-  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then ./configure --without-topology --with-raster; fi
31  
-  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then make; fi
32  
-  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then sudo make install; fi
33  
-  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then cd ..; fi
  20
+  # Add PPA for geos 3.3.x
  21
+  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then sudo apt-add-repository -y ppa:sharpie/for-science; fi
  22
+
  23
+  # Install PostGIS 2.x
  24
+  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then sudo apt-add-repository -y ppa:sharpie/postgis-nightly; fi
  25
+  - if [[ "$POSTGIS_VERSION" != "1.5" ]]; then sudo apt-get update; fi
  26
+
  27
+  # Install PostGIS
  28
+  - sudo apt-get install postgresql-9.1-postgis -q
34 29
 
35 30
   # Install flake8 style checker
36 31
   - pip install flake8
Commit_comment_tip

Tip: You can add notes to lines in a file. Hover to the left of a line to make a note

Something went wrong with that request. Please try again.